xcb_xfixes_create_pointer_barrier(3)

NAME
xcb_xfixes_create_pointer_barrier -

SYNOPSIS
#include <xcb/xfixes.h>

  Request function

xcb_void_cookie_t xcb_xfixes_create_pointer_barrier(xcb_connection_t *conn, xcb_xfixes_barrier_t barrier, xcb_window_t window, uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint32_t directions, uint16_t num_devices, const uint16_t *devices);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

barrier
    TODO: NOT YET DOCUMENTED.

window
    TODO: NOT YET DOCUMENTED.

x1  TODO: NOT YET DOCUMENTED.

y1  TODO: NOT YET DOCUMENTED.

x2  TODO: NOT YET DOCUMENTED.

y2  TODO: NOT YET DOCUMENTED.

directions
    TODO: NOT YET DOCUMENTED.

num_devices
    TODO: NOT YET DOCUMENTED.

devices
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xfixes_create_pointer_barrier_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xfixes.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.